Bug 9346 - acqui/neworderempty.pl ignores exchange rates and destroys user data on page load
Summary: acqui/neworderempty.pl ignores exchange rates and destroys user data on page ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P1 - high critical (vote)
Assignee: Dobrica Pavlinusic
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-03 22:29 UTC by Dobrica Pavlinusic
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9346 - acqui/neworderempty.pl ignores exchange rates and destroys user data on page load (4.69 KB, patch)
2013-01-03 23:41 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 9346 - acqui/neworderempty.pl ignores exchange rates and destroys user data on page load (4.79 KB, patch)
2013-01-04 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9346 - acqui/neworderempty.pl ignores exchange rates and destroys user data on page load (4.81 KB, patch)
2013-01-04 16:46 UTC, Elliott Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2013-01-03 22:29:09 UTC

    
Comment 1 Dobrica Pavlinusic 2013-01-03 23:41:37 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-04 09:01:11 UTC Comment hidden (obsolete)
Comment 3 Elliott Davis 2013-01-04 16:46:26 UTC
Created attachment 14425 [details] [review]
Bug 9346 - acqui/neworderempty.pl ignores exchange rates and destroys user data on page load

This restores behaviour of new order form before Bug 5335 merge

Test scenario:

1. load Receipt summary for existing customer
2. take note of Unit cost and Order cost
3. open existing order line and verify that Replacement cost,
   Budgeted cost and Total are not re-calculated on page load
4. change currency and verify that costs are updated
   (change currency to system default and all values should become
   same as vendor price)
5. change Quantity, get alert "You can't add a new item, please create a new order line"
   and verify that Total still reflects correct value

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Elliott Davis <elliott@bywatersolions.com>
Comment 4 Jared Camins-Esakov 2013-01-08 01:30:40 UTC
I do not think this patch works. Replacement cost, Budgeted cost, and Total are always zero in neworderempty, no matter what I set them to when saving. Moreover, changing the currency does not seem to do anything at all. Is there a particular syspref I need to have set in a certain way?
Comment 5 Jared Camins-Esakov 2013-01-08 01:47:03 UTC
Never mind. The problem was bug 9339. It turns out that it was resetting my language to en-GB every time I moved between pages.
Comment 6 Jared Camins-Esakov 2013-01-08 01:47:26 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-01-12 19:18:09 UTC
Pushed to 3.10.x